/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: HelloImpl.java 62602 2011-04-21 14:51:41Z kgrucci $
 */

package com.sun.ts.tests.jaxws.ee.w2j.document.literal.catalogtest;

import javax.xml.ws.WebServiceException;
import javax.jws.WebService;

@WebService(
    portName="HelloPort",
    serviceName="CatalogTestService",
    targetNamespace="http://catalogtestservice.org/wsdl",
    wsdlLocation="WEB-INF/wsdl/WSW2JDLCatalogTestService.wsdl",
    endpointInterface="com.sun.ts.tests.jaxws.ee.w2j.document.literal.catalogtest.Hello"
)
public class HelloImpl implements Hello {

    public HelloResponse hello(HelloRequest req)  {
        HelloResponse resp = null;
        System.out.println("Hello, " + req.getString() + "!");
        resp = new HelloResponse();
        resp.setString("Hello, " + req.getString() + "!");
        return resp;
    }

    public void helloOneWay(HelloOneWay req)  {
        System.out.println("Hello OneWay, " + req.getString() + "!");
    }
}
